Runtime

## org.eclipse.gmf.runtime.diagram.ui.render.editparts
Class AbstractImageEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
                  org.eclipse.gmf.runtime.diagram.ui.editparts.TopGraphicEditPart
                      org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeEditPart
                          org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeNodeEditPart
                              org.eclipse.gmf.runtime.diagram.ui.render.editparts.AbstractImageEditPart

All Implemented Interfaces:
  EditPart, GraphicalEditPart, IAdaptable, IAdaptableSelection, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IContainedEditPart, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IEditableEditPart, IGraphicalEditPart, INodeEditPart, INotableEditPart, IPrimaryEditPart, NodeEditPart, NotificationListener, RequestConstants

Direct Known Subclasses:
  URLImageEditPart

public abstract class AbstractImageEditPart
extends ShapeNodeEditPart

Nested Class Summary
`protected class` `AbstractImageEditPart.PreferencePropertyChangeListener` Listener for the PreferenceStore.

Nested classes inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`AbstractGraphicalEditPart.AccessibleGraphicalEditPart, AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

Nested classes inherited from class org.eclipse.gef.editparts.AbstractEditPart
`AbstractEditPart.EditPolicyIterator`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
`accessibleEP, elementGuid`

Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`figure, sourceConnections, targetConnections`

Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart
`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`AbstractImageEditPart(View view)` Constructor

Method Summary
`protected NodeFigure` `createNodeFigure()` creates a node figure
`RenderedImage` `getRenderedImage()` getRenderedImage Accessor method to return the cached rendered image used for display.
`protected void` `refreshEnableAntiAlias()` Refreshes the figures and enables anti-aliasing on the non-text portions
`protected void` `refreshImage()` Refresh the display image if accessible.
`protected void` `refreshVisuals()` Refresh the editpart's figure visual properties.
`protected abstract RenderedImage` `regenerateImageFromSource()` regenerateImageFromSource This method will recreate the RenderedImage object from a specific source (file, bits etc.).

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeNodeEditPart
`canAttachNote, createDefaultEditPolicies, createFigure, getModelSourceConnections, getModelTargetConnections, getNodeFigure, getSourceConnectionAnchor, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor, handleNotificationEvent, mapConnectionAnchorToTerminal, mapTerminalToConnectionAnchor`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeEditPart
`getLocation, getPrimaryDragEditPolicy, getSize, refreshBounds`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.TopGraphicEditPart
`getResizableCompartments, getResizableNotationViews, performDirectEditRequest, understandsRequest`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart

`activate, addChild, addListenerFilter, addListenerFilter, addNotationalListeners, addSemanticListeners, basicGetModel, createConnection, createEditPolicies, deactivate, disableEditMode, enableEditMode, eraseSourceFeedback, eraseTargetFeedback, executeCommand, findEditPart, getAccessibleEditPart, getAdapter, getChildBySemanticHint, getChildBySemanticHintOnPrimaryView, getChildViewBySemanticHint, getCommand, getContentPaneFor, getDiagramEditDomain, getDiagramPreferencesHint, getDiagramView, getDragTracker, getEditDomain, getEditingDomain, getMapMode, getModel, getModelChildren, getNotationView, getPreferredValue, getPrimaryChildEditPart, getPrimaryView, getResourceManager, getRoot, getStructuralFeatureValue, getTopGraphicEditPart, handleMajorSemanticChange, hasNotationView, isCanonical, isEditModeEnabled, isSelectable, notifyChanged, performRequest, reactivateSemanticModel, refresh, refreshBackgroundColor, refreshChild, refreshFont, refreshFontColor, refreshForegroundColor, refreshSourceConnection, refreshTargetConnection, refreshVisibility, registerModel, removeListenerFilter, removeNotationalListeners, removeNotify, removeSemanticListeners, resolveSemanticElement, setBackgroundColor, setFont, setFontColor, setForegroundColor, setModel, setStructuralFeatureValue, setVisibility, showSourceFeedback, showTargetFeedback, transactionAboutToCommit, unregisterModel`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addChildVisual, addNodeListener, addNotify, addSourceConnection, addTargetConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getContentPane, getFigure, getLayer, getSourceConnections, getTargetConnections, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getChildren, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getParent, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, refreshChildren, register, registerAccessibility, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setParent, setSelected, toString, unregister, unregisterAccessibility`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### AbstractImageEditPart

    public AbstractImageEditPart(View view)

  Constructor

Parameters:
  `view` - IShapeView element that this is a controller for.

Method Detail

### createNodeFigure

    protected NodeFigure createNodeFigure()

  Description copied from class: `ShapeNodeEditPart`
  creates a node figure

  Specified by:
    `createNodeFigure` in class `ShapeNodeEditPart`
  Returns:
    `NodeFigure`

### refreshVisuals

    protected void refreshVisuals()

  Description copied from class: `GraphicalEditPart`
  Refresh the editpart's figure visual properties.

  Overrides:
    `refreshVisuals` in class `ShapeEditPart`

### refreshImage

    protected void refreshImage()

  Refresh the display image if accessible. Essentially toggles between the comment mode and image mode depending on whether there is an image that can be displayed.

### refreshEnableAntiAlias

    protected void refreshEnableAntiAlias()

  Refreshes the figures and enables anti-aliasing on the non-text portions

### regenerateImageFromSource

    protected abstract RenderedImage regenerateImageFromSource()

  regenerateImageFromSource This method will recreate the RenderedImage object from a specific source (file, bits etc.).

  Returns:
    RenderedImage object that will be rendered to the screen using the ScalableImageFigure class. Concrete clients of AbstractImageEditPart need to override this method to return an instance that can be used for rendering.

### getRenderedImage

    public final RenderedImage getRenderedImage()

  getRenderedImage Accessor method to return the cached rendered image used for display.

  Returns:
    RenderedImage object that was generated using the regenerateImageFromSource api.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.